Subject: AD evaluation comments: draft-ietf-sieve-variables

From: "Scott Hollenbeck" <[email-masked]>
Date: Thu, 18 Aug 2005 09:18:36 -0400

Just a small nit and a question:

The Abstract should be more clear about the focus of the document.  It
describes "This extension", but it doesn't explain what's being extended.

RFC 2234 has been obsoleted.  Can the reference to 2234 be updated to refer
to 2234bis instead?

These are minor.  Please hold off on making any changes until IETF last call
comments can be addressed.

-Scott-

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Thu, 18 Aug 2005 09:44:48 -0400

> -----Original Message-----
> From: Alexey Melnikov [mailto:[email-masked]] 
> Sent: Thursday, August 18, 2005 9:41 AM
> To: Scott Hollenbeck
> Cc: [email-masked]
> Subject: Re: AD evaluation comments: draft-ietf-sieve-variables
> 
> Scott Hollenbeck wrote:
> 
> The Abstract currently says:
>    In advanced filtering rule sets, it is useful to keep state or
>    configuration details across rules.  This extension changes the
>    interpretation of strings, adds an action to store data in 
> variables,
>    and supplies a new test so that the value of a string can be
>    examined.
> 
> How about the following:
>    In advanced filtering rule sets, it is useful to keep state or
>    configuration details across rules.  This document describes a
>    SIEVE (RFC XXXX) extension that changes the
>    interpretation of  strings, adds an action to store data 
> in variables,
>    and supplies a new test so that the value of a string can be
>    examined.

Looks good to me.

> Absolutely. But I personally would prefer if the document is 
> not delayed 
> on this reference. In practice, this might not be an issue, 
> as there is 
> at least one normative reference (base Sieve document) that 
> would have 
> to be satisfied first.

2234bis is already in the RFC Editor queue.  This doc will be way behind it,
and I can expedite processing of 2234bis if need be.

-Scott-

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 18 Aug 2005 14:40:36 +0100

interpretation of strings, adds an action to store data in variables,

How about the following:
   interpretation of  strings, adds an action to store data in variables,
?

>RFC 2234 has been obsoleted.  Can the reference to 2234 be updated to refer
Absolutely. But I personally would prefer if the document is not delayed 
on this reference. In practice, this might not be an issue, as there is 
at least one normative reference (base Sieve document) that would have 
to be satisfied first.